The Signing Template Link object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: true
{
"id": "signing-template-link_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"signing_document_id": "signing_document_id_example",
"token": "token_example",
"enabled": true,
"default_recipient_id": "default_recipient_id_example"
} /api/signing/signing-template-link/{id} Retrieve a signing template link
Retrieves the details of an existing signing template link. Supply the unique signing template link ID that was returned from a previous request.
Path parameters
The identifier of the signing template link to retrieve.
Returns
Returns the signing template link object if a valid identifier was provided.
curl https://api.overplane.dev/api/signing/signing-template-link/signing-template-link_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "signing-template-link_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"signing_document_id": "signing_document_id_example",
"token": "token_example",
"enabled": true,
"default_recipient_id": "default_recipient_id_example"
} /api/signing/signing-template-link List all signing template links
Returns a list of signing template links. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of signing template link objects.
curl https://api.overplane.dev/api/signing/signing-template-link \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "signing-template-link_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"signing_document_id": "signing_document_id_example",
"token": "token_example",
"enabled": true,
"default_recipient_id": "default_recipient_id_example"
}
],
"has_more": false,
"total": 1
} /api/signing/signing-template-link Create a signing template link
Creates a new signing template link object.
Body parameters
Default: true
Returns
Returns the newly created signing template link object if the call succeeded.
curl https://api.overplane.dev/api/signing/signing-template-link \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"signing_document_id":"signing_document_id_example","token":"token_example"}' {
"id": "signing-template-link_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"signing_document_id": "signing_document_id_example",
"token": "token_example",
"enabled": true,
"default_recipient_id": "default_recipient_id_example"
} /api/signing/signing-template-link/{id} Update a signing template link
Updates the specified signing template link by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the signing template link to update.
Body parameters
Default: true
Returns
Returns the updated signing template link object.
curl https://api.overplane.dev/api/signing/signing-template-link/signing-template-link_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"signing_document_id":"signing_document_id_example","token":"token_example"}' {
"id": "signing-template-link_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"signing_document_id": "signing_document_id_example",
"token": "token_example",
"enabled": true,
"default_recipient_id": "default_recipient_id_example"
} /api/signing/signing-template-link/{id} Delete a signing template link
Permanently deletes a signing template link. This cannot be undone.
Path parameters
The identifier of the signing template link to delete.
Returns
Returns a confirmation that the signing template link has been deleted.
curl https://api.overplane.dev/api/signing/signing-template-link/signing-template-link_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "signing-template-link_abc123",
"deleted": true
}